Subject: RE: [PATCH 3/4] reftable/stack: fix zero-sized allocation when there are no readers

From: <[email-masked]>
Date: Sun, 22 Dec 2024 12:48:09 -0500

On December 21, 2024 1:31 PM, Junio C Hamano wrote:
>To: [email-masked]
>Cc: 'Patrick Steinhardt' <[email-masked]>; [email-masked]; 'Randall S.
Becker'
><[email-masked]>
>Subject: Re: [PATCH 3/4] reftable/stack: fix zero-sized allocation when
there are no
>readers
>
><[email-masked]> writes:
>
>>>Applying these on the author-supplied base (ff795a5c5e) yields the
>>>same
>> tree as
>>>the result of merging my manual application of these four patches to
>> ps/reftable-
>>>alloc-failures into the same base.
>>
>> Ready to test this. Please let me know when and I will report results.
>
>If you want to start sooner
>
>    $ git checkout -b test ff795a5c5ed2e2d07c688c217a615d89e3f5733b
>    $ git am ... these four patches ...
>
>should give you the fix without anything else mixed in.  I'll push out the
usual four
>branches after integration testing, but it will be queued in 'seen' (just
above the
>point that corresponds to
>'next') first, before merging it to 'next' (and then down to 'master'
before -rc1).

FYI: 'seen' looks better now. I am having issues in t0211-trace2-perf.sh
with
undefined SSL symbols (SSL_get0_group_name), but am able to use git init
again.